/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
Entries.js handles all Entries
*/

var browsername = navigator.appName;

var ENTRIES_MANAGEMENT = "EntriesAdmin";
var entryaddmenu = null;
var entrytypes = ([ { text:"In-lined Text", id:"text", onclick: { fn:onMenuItemClickToAddEntry } },
{ text:"In-lined XML", id:"xml", onclick: { fn:onMenuItemClickToAddEntry } },
{ text:"Source URL" , id:"url", onclick: { fn:onMenuItemClickToAddEntry }}]);
function showEntries() {

    var body_xml = '<ns1:entryDataRequest xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '</ns1:entryDataRequest>';
    var callURL = serverURL + "/" + ENTRIES_MANAGEMENT + "/" + "entryData";
    send("entryData", body_xml, "", callURL, "", false, showEntriesCallback);
}
function showEntriesCallback() {
    if (!onError()) {
        return;
    }
    callbackhelper("entries.xsl", document.getElementById("divEntries"));
}
function editEntry(entryName) {
    var body_xml = '<ns1:getEntry xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns1:entryName>' + entryName + '</ns1:entryName>' +
                   '</ns1:getEntry>';

    var callURL = serverURL + "/" + ENTRIES_MANAGEMENT + "/" + "getEntry";
    send("getEntry", body_xml, "", callURL, "", false, showentryEditorCallback);
}

function showentryEditorCallback() {
    if (!onError()) {
        return;
    }

    var data = getBody(xhReq.responseXML);
    var entry = null;
    if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
        entry = data.getElementsByTagName("localEntry")[0];
    }
    else if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        entry = data.getElementsByTagName("syn:localEntry")[0];
    }
    var type = entry.getAttribute("type");
    if (type == 1) {
        createEntryDivOnParentPanel("entries/entry_edit.xsl", "In-lined XML", entry, "saveEntry");
        document.getElementById("entry_value").value =
        xmlSerializerToString(entry.childNodes[0]);

    }
    if (type == 0) {
        createEntryDivOnParentPanel("entries/entry_edit.xsl", "In-lined Text", entry, "saveEntry");
        if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
            document.getElementById("entry_value").value =
            entry.childNodes[0].textContent;
        }
        else if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
            document.getElementById("entry_value").value =
            entry.childNodes[0].text;
        }
    }
    if (type == 2) {
        createEntryDivOnParentPanel("entries/entry_edit.xsl", "SourceURL", entry, "saveEntry");
    }
}


function delEntrySave(entryName) {
    var body_xml = '<ns1:deleteEntry xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns1:entryName>' + entryName + '</ns1:entryName>' +
                   '</ns1:deleteEntry>';

    var callURL = serverURL + "/" + ENTRIES_MANAGEMENT + "/" + "deleteEntry";
    send("deleteEntry", body_xml, "", callURL, "", false, delEntrySaveCallback);
}

function delEntrySaveCallback() {
    if (!onError()) {
        return;
    }
    showEntries();
}
function showEntryPanel() {
    var esbpanel = new YAHOO.widget.Panel("myPanel", {width:"800px", fixedcenter:true, visible:false
        , constraintoviewport:true, zIndex:4 });
    esbpanel.render();
    initoverlaymanager();
    paneloverlaymanager.register(esbpanel);
    paneloverlaymanager.showAll();

}
function onMenuItemClickToAddEntry(p_sType, p_aArgs, p_oValue) {
    var menuStr = p_oValue.toString();
    var initendpoint = createesbelement("<syn:localEntry xmlns:syn='http://ws.apache.org/ns/synapse'/>");
    if (menuStr.indexOf("In-lined Text") > -1) {
        createEntryDivOnParentPanel("entries/entry_add.xsl", "In-lined Text", initendpoint, "addEntrySave");
    } else if (menuStr.indexOf("In-lined XML") > -1) {
        createEntryDivOnParentPanel("entries/entry_add.xsl", "In-lined XML", initendpoint, "addEntrySave");
    } else if (menuStr.indexOf("Source URL") > -1) {
        createEntryDivOnParentPanel("entries/entry_add.xsl", "SourceURL", initendpoint, "addEntrySave");
    }
}

function createEntryDiv(xsltfilename, type, xmlObj, onclickfn) {
    //    showStuffInNewWindow(new XMLSerializer().serializeToString(xmlObj));
    var endponitStr = type;
    if (type == "In-lined Text") {
        endponitStr = "InlinedText";
    } else if (type == "In-lined XML") {
        endponitStr = "InlinedXML"
    }
    var panelcontrol = document.createElement("div");
    panelcontrol.setAttribute("id", "myPanel");
    var transformeddiv = document.createElement("div");
    xmlObj.setAttribute("type", type)
    var str = transformXMLToString(xmlObj, xsltfilename, transformeddiv);
    panelcontrol.innerHTML = "<div class='hd'><div class='tl'></div><span>WSO2-ESB Entry Editor</span><div class='tr'></div></div>"
            + "<div class='bd'><div id='divAddEntry' style='overflow:auto;height:200px'>"
            + str + "</div>"
            + "<div><table style='margin-left: 150px;'><tbody><tr>"
            + "<td><input type='button' class='panelbutton_default'"
            + "onclick=" + onclickfn + "('" + endponitStr + "')  value='Save'></td><td></td>"
            + "<td><input type='button' class='panelbutton_cancel'"
            + "onclick=hideEntryPanel() value='Cancel'/></td>"
            + "</tr></tbody></table></div></div>"
            + "<div id='statusbar' class='ft'>" + type + " Entry</div>";
    document.getElementById("divOverPanel").appendChild(panelcontrol);
    document.getElementById("divOverPanel").style.display = "inline";
    panelcontrol.style.zIndex = 3;
}
function createEntryDivOnParentPanel(xsltfilename, type, xmlObj, onclickfn) {
    var endponitStr = type;
    if (type == "In-lined Text") {
        endponitStr = "InlinedText";
    } else if (type == "In-lined XML") {
        endponitStr = "InlinedXML"
    }
    var panelcontrol = document.getElementById("divEntries");
    var transformeddiv = document.createElement("div");
    xmlObj.setAttribute("type", type)
    var str = transformXMLToString(xmlObj, xsltfilename, transformeddiv);
    panelcontrol.innerHTML = "<h2 id='moduleHeader'><a href='#' onclick='javascript: "
            + "showEntries(); return false;'>Manage Entries</a>&#160;&gt;&#160;"
            + type + " Entry</h2><br/><br/><div class='endpointcontentPaneClass' ><div id='divAddEntry'>"
            + str + "</div>"
            + "<div><table style='margin-left: 150px;'><tbody><tr>"
            + "<td><input type='button' class='panelbutton_default'"
            + "onclick=" + onclickfn + "('" + endponitStr + "')  value='Save'></td><td></td>"
            + "<td><input type='button' class='panelbutton_cancel'"
            + "onclick=discardEntrySave() value='Cancel'/></td>"
            + "</tr></tbody></table></div></div>";
}

function discardEntrySave() {
    showEntries();
}
function addEntry(event) {
    if (entryaddmenu == null) {
        entryaddmenu = new YAHOO.widget.Menu("addentrymenu", {});
    }
    entryaddmenu.clearContent();
    var menuItems = entryaddmenu.addItems(entrytypes);
    entryaddmenu.render(document.getElementById("divOverMenu"));
    document.getElementById("divOverMenu").style.display = "inline";
    document.getElementById("divOverMenu").style.left = event.clientX;
    document.getElementById("divOverMenu").style.top = document.body.scrollTop + event.clientY;
    entryaddmenu.show();
}

function addEntrySave(type) {
    var entryNameID = document.getElementById("entry_name");
    var entryName = null;
    if (entryNameID != null && entryNameID != undefined) {
        entryName = entryNameID.value;
    }
    if (entryName == null || entryName == "" || !namevalidate(entryName)) {
        esbwarning("Name must be specified", TYPE_INFO);
        return;
    }
    var valueId = document.getElementById("entry_value");
    var entryvalue = null;
    if (valueId != null && valueId != undefined) {
        entryvalue = valueId.value;

    }
    if (entryvalue == null || entryvalue == "") {
        esbwarning("Invalid value", TYPE_WARN);
        return;
    }
    var entryType = type
    var entry = 'value="Not Defined"';
    var inlineProp = '';
    if (entryType == "InlinedText") {
        entry = 'type="0"';
        inlineProp = "<![CDATA[" + entryvalue + "]]>";
    }
    if (entryType == "InlinedXML") {
        if (window.ActiveXObject) {
            try {
                var doc = new ActiveXObject("Microsoft.XMLDOM");
                doc.async = "false";
                var hasParse = doc.loadXML(entryvalue);
                if (!hasParse) {
                    esbwarning("Invalid value: Error parsing XML", TYPE_ERROR);
                    return;
                }
            } catch (e) {
                esbwarning("Invalid value: Error parsing XML", TYPE_ERROR);
                return;
            }
        } else {
            var parser = new DOMParser();
            var dom = parser.parseFromString(entryvalue, "text/xml");
            if (dom.documentElement.nodeName == "parsererror") {
                esbwarning("Invalid value: Error parsing XML", TYPE_ERROR);
                return;
            }

        }
        entry = 'type="1"';
        inlineProp = entryvalue;
    }
    if (entryType == "SourceURL") {
        entry = 'type="2" src="' + entryvalue + '"';
        inlineProp = entryvalue;
    }
    var body_xml = '<ns1:addEntry xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns2:localEntry name="' + entryName + '" ' + entry + ' xmlns:ns2="' + SYNAPSE_NS + '">' +
                   inlineProp +
                   '</ns2:localEntry>' +
                   '</ns1:addEntry>';
    var callURL = serverURL + "/" + ENTRIES_MANAGEMENT + "/" + "addEntry";
    send("addEntry", body_xml, "", callURL, "", false, addEntrySaveCallback);
}

function addEntrySaveCallback() {
    if (!onError()) {
        return;
    }
    showEntries();
}

function saveEntry(type) {
    var entryNameID = document.getElementById("entry_name");
    var entryName = null;
    if (entryNameID != null && entryNameID != undefined) {
        entryName = entryNameID.value;
    }
    if (entryName == null || entryName == "" || !namevalidate(entryName)) {
        esbwarning("Name must be specified", TYPE_INFO);
        return;
    }
    var valueId = document.getElementById("entry_value");
    var entryvalue = null;
    if (valueId != null && valueId != undefined) {
        entryvalue = valueId.value;

    }
    if (entryvalue == null || entryvalue == "") {
        esbwarning("Invalid Value", TYPE_WARN);
        return;
    }
    var entryType = type
    var entry = 'value="Not Defined"';
    var inlineProp = '';
    if (entryType == "InlinedText") {
        entry = 'type="0"';
        inlineProp = "<![CDATA[" + entryvalue + "]]>";
    }
    if (entryType == "InlinedXML") {
        if (window.ActiveXObject) {
            try {
                var doc = new ActiveXObject("Microsoft.XMLDOM");
                doc.async = "false";
                var hasParse = doc.loadXML(entryvalue);
                if (!hasParse) {
                    esbwarning("Invalid value: Error parsing XML", TYPE_ERROR);
                    return;
                }
            } catch (e) {
                esbwarning("Invalid value: Error parsing XML", TYPE_ERROR);
                return;
            }
        } else {
            var parser = new DOMParser();
            var dom = parser.parseFromString(entryvalue, "text/xml");
            if (dom.documentElement.nodeName == "parsererror") {
                esbwarning("Invalid value: Error parsing XML", TYPE_ERROR);
                return;
            }

        }
        entry = 'type="1"';
        inlineProp = entryvalue;
    }
    if (entryType == "SourceURL") {
        entry = 'type="2" src="' + entryvalue + '"';
        inlineProp = entryvalue;
    }
    var body_xml = '<ns1:saveEntry xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns2:localEntry name="' + entryName + '" ' + entry + ' xmlns:ns2="' + SYNAPSE_NS + '">' +
                   inlineProp +
                   '</ns2:localEntry>' +
                   '</ns1:saveEntry>';
    var callURL = serverURL + "/" + ENTRIES_MANAGEMENT + "/" + "saveEntry";
    send("saveEntry", body_xml, "", callURL, "", false, saveEntryCallback);
}

function saveEntryCallback() {
    if (!onError()) {
        return;
    }
    showEntries();
}

function getAvailableEntries() {
    var body_xml = '<ns1:getEntryNamesString xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '</ns1:getEntryNamesString>';
    var callURL = serverURL + "/" + ENTRIES_MANAGEMENT + "/" + "getEntryNamesString";
    send("getEntryNamesString", body_xml, "", callURL, "", false, getAvailableEntriescallback);
}


function getAvailableEntriescallback() {
    if (!onError()) {
        return;
    }
    var ep = xhReq.responseXML.getElementsByTagName("return");
    var entrystr = null;
    if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
        entrystr = ep[0].textContent;
    }
    else if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        entrystr = ep[0].text;
    }
    var xmlObj = createesbelement("<syn:entrylist xmlns:syn='http://ws.apache.org/ns/synapse'/>");
    xmlObj.setAttribute("entry_list", entrystr);
    var transformeddiv = document.createElement("div");
    var str = processXML(xmlObj, "entries/entry_list.xsl", transformeddiv);
    var regdiv = transformeddiv.childNodes[0];
    if (regdiv == null) {
        if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
            regdiv = transformeddiv.children[0];
        }
    }
    if (regdiv != null && regdiv != undefined) {
        document.getElementById("localregkey").appendChild(regdiv);
        showRegistryPanel("psrdiv", "psrdata", "", "psrvalue");
    }
}

function getRegistryKey() {
    var localregkey = document.getElementById("localentry_key");
    var localregkey_value = null;
    if (localregkey != null && localregkey != undefined)
    {
        var localregkey_index = localregkey.selectedIndex;
        if (localregkey_index != null && localregkey_index != undefined) {
            localregkey_value = localregkey.options[localregkey_index].value;
        }
    }
    if (localregkey_value != null && localregkey_value != undefined && localregkey_value != "" && localregkey_value != "Select A Value") {
        return localregkey_value.substring(localregkey_value.indexOf("]-") + 2, localregkey_value.length);
    } else {
        var remoteregKey = document.getElementById('psrvalue').value;
        return remoteregKey;
    }
}