<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="commons.xsl"/>

    <xsl:template match="syn:class" xmlns:syn="http://ws.apache.org/ns/synapse">

        <label class="content-header">
            <img src="extensions/core/images/class-mediator.gif"/>
            <xsl:text>Class Mediator</xsl:text>
        </label>
        <br/>
        <br/>
         <div id="xslt_edit" class="end-point-div">
        <br/>
        <table border="0" style="margin-left: 3em; width: 150px;">
            <tbody>
                <tr>
                    <td>
                        Name<font style='color: red;font-size: 8pt;'>&#160;*</font>
                    </td>
                    <td>
                        <input type="text" class="esb-edit" size="40"
                               id="class_name">
                            <xsl:attribute name="value">
                                <xsl:if test="not(@name)"></xsl:if>
                                <xsl:if test="@name">
                                    <xsl:value-of select="@name"/>
                                </xsl:if>
                            </xsl:attribute>
                        </input>
                    </td>
                </tr>
            </tbody>
        </table>
        <xsl:if test="syn:property">
            <p>Properties defined for Class mediator</p>
            <br/>
            <div id="common_table_content">
            <table border="0" cellpadding="0" cellspacing="0" width="600">
                <tr>
                    <th>Property Name</th>
                    <th>Property Type</th>
                    <th>Value / Expression</th>
                    <th></th>
                </tr>
                <xsl:for-each select="syn:property">
                    <xsl:call-template name="syn-property-edit"/>
                </xsl:for-each>
            </table>
            </div>
        </xsl:if>
        <input type="button" href="#" onclick="javascript: addmediatorproperty(); return false;" style="margin-left: 3em;width:100px;" value="Add Property" class="panelbutton_default"/>
        <br/>
        <br/>
        </div>
    </xsl:template>

</xsl:stylesheet>