<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="commons.xsl"/>

    <xsl:template match="syn:log" xmlns:syn="http://ws.apache.org/ns/synapse">
        
        <label class="content-header">
            <img src="extensions/core/images/log-mediator.gif"/>
            <xsl:text> Log Mediator</xsl:text>
        </label><br/><br/>

        <!--<p class="mediator-description"><img src="extensions/core/images/log-mediator.gif"/> Log Mediator will log the messages going through ESB depending on the specified log level</p><br/>-->
        <!--<p>Configurations for Log Mediator</p>-->
            <label style="margin-left: 3em; width: 150px;" class="log-attribute-name"> Log level</label>
            <select class="esb-edit" style="position: absolute; left: 225px; width:90px;" id="log_level">
                <option value="simple">
                    <xsl:if test="@level='simple'"><xsl:attribute name="selected"/></xsl:if>Simple
                </option>
                <option value="headers">
                    <xsl:if test="@level='headers'"><xsl:attribute name="selected"/></xsl:if>Headers
                </option>
                <option value="full">
                    <xsl:if test="@level='full'"><xsl:attribute name="selected"/></xsl:if>Full
                </option>
                <option value="custom">
                    <xsl:if test="@level='custom'"><xsl:attribute name="selected"/></xsl:if>Custom
                </option>
            </select>
            <br/><br/>
            <label style="margin-left: 3em;" class="log-attribute-name"> Log separator</label>
            <input type="text" class="esb-edit" style="position: absolute; width: 90px; left: 225px;" id="log_separator">
                <xsl:if test="@separator">
                    <xsl:attribute name="value"><xsl:value-of select="@separator"/></xsl:attribute>
                </xsl:if>
                <xsl:if test="not(@separator)">
                    <xsl:attribute name="value">,</xsl:attribute>
                </xsl:if>
            </input>
            <br/><br/>
        <xsl:if test="syn:property">
            <span style="margin-left:10px;display:block;">Properties defined for Log mediator</span><br />
            <br/>
            <div id="common_table_content">
             <table border="0" cellpadding="0" cellspacing="0" width="600">
                <tr>
                    <th>Property Name</th>
                    <th>Property Type</th>
                    <th><nobr>Value / Expression</nobr></th>
                    <th></th>
                </tr>
                <xsl:for-each select="syn:property">
                    <xsl:call-template name="syn-property-edit"/>
                </xsl:for-each>
            </table>
            </div>
        </xsl:if>
        <input type="button" href="#" onclick="javascript: addmediatorproperty(); return false;" style="margin-left: 3em;width:100px;" value="Add Property" class="panelbutton_default"/>
        <br/><br/>
    </xsl:template>

</xsl:stylesheet>