<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="syn:makefault" mode="custom" priority="2" xmlns:syn="http://ws.apache.org/ns/synapse">

        <label class="content-header">
            <img src="extensions/core/images/make-fault-mediator.gif"/>
            <xsl:text>Makefault Mediator</xsl:text>
        </label>

        <br></br>
        <br></br>

        <xsl:if test="(syn:code/@value or syn:code/@expression)  and (syn:reason/@value or syn:reason/@expression)">
            <xsl:if test="not(@version) or @version='soap11'">
                <div id="common_table_content">
                    <table border="0" cellpadding="0" cellspacing="0">
                    <tr>
                        <th>Property</th>
                        <th>Value</th>
                    </tr>
                    <tr>
                        <td>Version</td>
                        <td>
                            <xsl:if test="not(@version) or @version='soap11'">
                                    <label>SOAP Version 1.1</label>
                            </xsl:if>
                            <xsl:if test="@version='soap12'">
                                    <label>SOAP version 1.2</label>
                            </xsl:if>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            FaultCode
                        </td>
                        <td>
                            <xsl:if test="syn:code/@value">
                                <xsl:value-of select="syn:code/@value"/>

                            </xsl:if>

                            <xsl:if test="syn:code/@expression">

                                <xsl:value-of select="syn:code/@expression"/>

                            </xsl:if>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            FaultString
                        </td>
                        <td>
                            <xsl:if test="syn:reason/@value">
                                <xsl:value-of select="syn:reason/@value"/>
                            </xsl:if>
                            <xsl:if test="syn:reason/@expression">
                                <xsl:value-of select="syn:reason/@expression"/>
                            </xsl:if>
                        </td>
                    </tr>
                    <xsl:if test="syn:role">
                        <tr>
                            <td>
                                FaultActor
                            </td>
                            <td>
                                <xsl:value-of select="syn:role/child::text()"/>
                            </td>
                        </tr>
                    </xsl:if>
                    <xsl:if test="syn:detail">
                        <tr>
                            <td>
                                Detail
                            </td>
                            <td>
                                <xsl:value-of select="syn:detail/child::text()"/>
                            </td>
                        </tr>
                    </xsl:if>
                </table>
                </div>
            </xsl:if>
            <xsl:if test="@version='soap12'">
                <div id="common_table_content">
                    <table border="0" cellpadding="0" cellspacing="0">
                     <tr>
                        <th>Property</th>
                        <th>Value</th>
                    </tr>
                    <tr>
                        <td>Version</td>
                        <td>
                            <xsl:if test="not(@version) or @version='soap11'">
                                SOAP Version 1.1
                            </xsl:if>
                            <xsl:if test="@version='soap12'">
                                SOAP version 1.2
                            </xsl:if>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Code
                        </td>
                        <td>
                            <xsl:if test="syn:code/@value">
                                <xsl:value-of select="syn:code/@value"/>

                            </xsl:if>

                            <xsl:if test="syn:code/@expression">

                                <xsl:value-of select="syn:code/@expression"/>

                            </xsl:if>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Reason
                        </td>
                        <td>
                            <xsl:if test="syn:reason/@value">
                                <xsl:value-of select="syn:reason/@value"/>

                            </xsl:if>

                            <xsl:if test="syn:reason/@expression">

                                <xsl:value-of select="syn:reason/@expression"/>

                            </xsl:if>
                        </td>
                    </tr>
                    <xsl:if test="syn:node">

                        <tr>
                            <td style="width:100px;">
                                Node
                            </td>
                            <td style="width:100px;">
                                <xsl:value-of select="syn:node/child::text()"/>
                            </td>
                        </tr>
                    </xsl:if>
                    <xsl:if test="syn:role">
                        <tr>
                            <td>
                                Role
                            </td>
                            <td>
                                <xsl:value-of select="syn:role/child::text()"/>
                            </td>
                        </tr>
                    </xsl:if>
                    <xsl:if test="syn:detail">
                        <tr>
                            <td>
                                Detail
                            </td>
                            <td>
                                <xsl:value-of select="syn:detail/child::text()"/>
                            </td>
                        </tr>
                    </xsl:if>
                </table>
                </div>
            </xsl:if>


        </xsl:if>


    </xsl:template>
</xsl:stylesheet>
