<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="syn:pox" mode="custom" priority="2"
                  xmlns:syn="http://ws.apache.org/ns/synapse">
        <label class="content-header">
            <img src="extensions/core/images/log-mediator.gif"/>
            <xsl:call-template name="capitalize-first"/>
            <xsl:text>Mediator</xsl:text>
        </label>
        <br/>
        <br/>
        <table border="1" style="margin-left: 3em; width: 150px;">
            <tbody>
                <tr style="background-color: #EEEEEE;">
                    <th>Property</th>
                    <th>Value</th>
                </tr>

                <tr>
                    <td>
                        <label class="log-attribute-name">
                            Value
                        </label>
                    </td>
                    <td>
                        <label class="log-attribute-value">
                            <xsl:if test="@value">
                                <xsl:value-of select="@value"/>
                            </xsl:if>
                            <xsl:if test="not(@value)">
                                false
                            </xsl:if>
                        </label>
                    </td>
                </tr>

            </tbody>
        </table>
    </xsl:template>
</xsl:stylesheet>