<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="syn:property" mode="custom" priority="2" xmlns:syn="http://ws.apache.org/ns/synapse">

        <label class="content-header">
            <img src="extensions/core/images/property-mediator.gif"/>  <xsl:call-template name="capitalize-first"/>
            <xsl:text> Mediator</xsl:text>
        </label>

        <br></br>
        <br></br>

        <xsl:if test="@name">
             <div id="common_table_content">
            <table border="0" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <th>Property</th>
                        <th>Value</th>
                    </tr>

                    <tr>
                        <td>Name</td>
                        <td>
                            <xsl:value-of select="@name"/>
                        </td>
                    </tr>

                    <tr>
                        <td>
                            <xsl:text>Action</xsl:text>
                        </td>
                        <td>
                               <xsl:if test="@action = 'set' or not(@action = 'remove')">
                                        <xsl:text>set</xsl:text>
                                </xsl:if>
                                <xsl:if test="@action = 'remove'">
                                        <xsl:text>remove</xsl:text>
                                </xsl:if>

                        </td>
                    </tr>

                    <xsl:if test="not(@action) or @action!='remove'">

                    <xsl:if test="@value">
                    <tr>
                        <td>
                            <xsl:text>Value</xsl:text>
                        </td>
                        <td>
                            <xsl:value-of select="@value"/>
                        </td>
                    </tr>
                    </xsl:if>

                    <xsl:if test="@expression">
                    <tr>
                        <td>
                            <xsl:text>Expression</xsl:text>
                        </td>
                        <td>
                            <xsl:value-of select="@expression"/>
                        </td>
                    </tr>
                    </xsl:if>

                    <xsl:if test="@scope">
                    <tr>
                        <td>
                            <xsl:text>Scope</xsl:text>
                        </td>
                        <td>
                            <xsl:value-of select="@scope"/>
                        </td>
                    </tr>
                    </xsl:if>
                    </xsl:if>

                </tbody>
            </table>
            </div>
        </xsl:if>
</xsl:template>
</xsl:stylesheet>
