<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:syn="http://ws.apache.org/ns/synapse">

    <xsl:template match="syn:proxy">
        <label class="content-header">
            <img src="extensions/core/images/miscellaneous-configuration.gif"/>
            <xsl:text> Miscellaneous configuration</xsl:text>
        </label>
        <!--<label class="content-description">-->
            <!--Configure miscellaneous options for the proxy service.-->
        <!--</label>-->
        <br/>
        <br/>
        <xsl:if test="syn:publishWSDL">
            <label style="margin-left: 15px; width: 250px; _width:135px;">Publishing WSDL</label><br/><br/>
            <xsl:choose>
                    <xsl:when test="syn:publishWSDL/@key">
                        <div id="wsdl_div" style="margin-left:50px;">
                        <label>Reference key</label>
                        <label style="margin-left: 50px;">
                            <xsl:value-of select="syn:publishWSDL/@key"/>
                        </label>
                        </div>
                    </xsl:when>
                    <xsl:when test="syn:publishWSDL/@uri">
                        <div id="wsdl_div" style="margin-left:50px;">
                            <label>Source URL</label>
                            <label style="margin-left:50px;">
                                <xsl:value-of select="syn:publishWSDL/@uri"/>
                            </label>
                        </div>
                    </xsl:when>
                    <xsl:otherwise>
                        <div id="wsdl_div" style="margin-left:50px;"><label>Specified as inline</label></div>
                    </xsl:otherwise>
            </xsl:choose>
        </xsl:if>
        <br/><br/>
        <label style="margin-left: 15px; width:250px; _width:270px;">Load service on startup</label>
        <label style="margin-left: 190px; _margin-left: 50px;">
            <xsl:choose>
                <xsl:when test="@startOnLoad != 'true'">
                    <img src="extensions/core/images/disabled_icon.png" style="margin-right:10px;" align="absmiddle"/><xsl:text>Disabled</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                    <img src="extensions/core/images/enabled_icon.png" style="margin-right:10px;" align="absmiddle"/><xsl:text>Enabled</xsl:text>
                </xsl:otherwise>
            </xsl:choose>
        </label><br/><br/>
    </xsl:template>

</xsl:stylesheet>