<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:syn="http://ws.apache.org/ns/synapse">

    <xsl:include href="../commons.xsl"/>

    <xsl:template match="syn:proxy">

        <div><xsl:choose>
            <xsl:when test="@int_op and @int_op='add'">
                <label class="content-header">
                    <img src="extensions/core/images/target-configuration.gif"/>
                    <xsl:text> Basic configuration</xsl:text>
                </label>
                <!--<label class="content-description">-->
                <!--Define how messages arriving and departing through this proxy service should be handled. Available-->
                <!--options are to directly route messages to an endpoint; or to process incoming and outgoing messages-->
                <!--through already defined sequences of mediation.-->
                <!--</label>-->
                <br/>
                <br/>

                <label>Proxy service name<font style='color: red;font-size: 8pt;'>&#160;*</font></label>
                <input type="text" class="esb-edit" style="left: 180px; position: absolute;" id="proxy_name">
                    <xsl:attribute name="value">
                        <xsl:value-of select="@name"/>
                    </xsl:attribute>
                </input>
            </xsl:when>
            <xsl:otherwise>
                <label class="content-header">
                    <img src="extensions/core/images/target-configuration.gif"/>
                    <xsl:text> Target configuration</xsl:text>
                </label>
            </xsl:otherwise>
        </xsl:choose></div>

        <br/>
        <br/>

        <label style='font-weight:bold;'>Target Sequences</label><br/><br/>
        <div id="target_insequence" style='margin-left:30px;'>
            <label>Incoming messages</label>
            <xsl:choose>
                <xsl:when test="syn:target/@inSequence or syn:target/syn:inSequence">
                    <img class="proxy-select" src="extensions/core/images/dropdown.gif"
                         id="img_insequence">
                        <xsl:attribute name="onclick">javascript: displaytargetmenu(event,
                            'insequence'); return false;
                        </xsl:attribute>
                    </img>
                </xsl:when>
                <xsl:otherwise>
                    <img class="proxy-select" src="extensions/core/images/dropdown.gif"
                         id="img_insequence">
                        <xsl:attribute name="onclick">javascript: displaytargetmenu(event,
                            'insequence'); return false;
                        </xsl:attribute>
                    </img>
                </xsl:otherwise>
            </xsl:choose>
            <label class="proxytarget" id="insequence_label">
                        <xsl:value-of select="syn:target/@inSequence"/>
                    </label>
            <xsl:if test="syn:target/syn:inSequence">
                <label class="proxytarget" id="insequence_label">Anonymous Sequence
                    <img src="extensions/core/images/_edit.gif" onclick="javascript: _sequenceeditor('insequence'); return false;"/>
                </label>
            </xsl:if>
        </div>
        <input type="hidden" id="insequence">
            <xsl:attribute name="value">
                <xsl:value-of select="syn:target/@inSequence"/>
            </xsl:attribute>
        </input>
        <input type="hidden" id="insequence_elem" value=""/>
        <br/>
        <br/>

        <div id="target_outsequence" style='margin-left:30px;'>
            <label>Outgoing messages</label>
            <xsl:choose>
                <xsl:when test="syn:target/@outSequence or syn:target/syn:outSequence">
                    <img class="proxy-select" src="extensions/core/images/dropdown.gif"
                         id="img_outsequence">
                        <xsl:attribute name="onclick">javascript: displaytargetmenu(event,
                            'outsequence'); return false;
                        </xsl:attribute>
                    </img>
                </xsl:when>
                <xsl:otherwise>
                    <img class="proxy-select" src="extensions/core/images/dropdown.gif"
                         id="img_outsequence">
                        <xsl:attribute name="onclick">javascript: displaytargetmenu(event,
                            'outsequence'); return false;
                        </xsl:attribute>
                    </img>
                </xsl:otherwise>
            </xsl:choose>
            <label class="proxytarget" id="outsequence_label">
                        <xsl:value-of select="syn:target/@outSequence"/>
                    </label>
            <xsl:if test="syn:target/syn:outSequence">
                <label class="proxytarget" id="outsequence_label">Anonymous Sequence
                    <img src="extensions/core/images/_edit.gif" onclick="javascript: _sequenceeditor('outsequence'); return false;"/>
                </label>
            </xsl:if>
        </div>
        <input type="hidden" id="outsequence">
            <xsl:attribute name="value">
                <xsl:value-of select="syn:target/@outSequence"/>
            </xsl:attribute>
        </input>
        <input type="hidden" id="outsequence_elem" value=""/>
        <br/>
        <br/>

        <div id="target_faultsequence" style='margin-left:30px;'>
            <label>Fault flow</label>
            <xsl:choose>
                <xsl:when test="syn:target/@faultSequence or syn:target/syn:faultSequence">
                    <img class="proxy-select" src="extensions/core/images/dropdown.gif"
                         id="img_faultsequence">
                        <xsl:attribute name="onclick">javascript: displaytargetmenu(event,
                            'faultsequence'); return false;
                        </xsl:attribute>
                    </img>
                </xsl:when>
                <xsl:otherwise>
                    <img class="proxy-select" src="extensions/core/images/dropdown.gif"
                         id="img_faultsequence">
                        <xsl:attribute name="onclick">javascript: displaytargetmenu(event,
                            'faultsequence'); return false;
                        </xsl:attribute>
                    </img>
                </xsl:otherwise>
            </xsl:choose>
            <label class="proxytarget" id="faultsequence_label">
                        <xsl:value-of select="syn:target/@faultSequence"/>
                    </label>
            <xsl:if test="syn:target/syn:faultSequence">
                <label class="proxytarget" id="faultsequence_label">Anonymous Sequence
                    <img src="extensions/core/images/_edit.gif" onclick="javascript: _sequenceeditor('faultsequence'); return false;"/>
                </label>        
            </xsl:if>
        </div>
        <input type="hidden" id="faultsequence">
            <xsl:attribute name="value">
                <xsl:value-of select="syn:target/@faultSequence"/>
            </xsl:attribute>
        </input>
        <input type="hidden" id="faultsequence_elem" value=""/>
        <br/>
        <br/>

        <div id="target_endpoint">
            <label style="font-weight:bold;">Target Endpoint</label>

            <xsl:choose>
                <xsl:when test="syn:target/@endpoint or syn:target/syn:endpoint">
                    <img class="proxy-select" src="extensions/core/images/dropdown.gif"
                         id="img_endpoint">
                        <xsl:attribute name="onclick">javascript: displaytargetmenu(event,
                            'endpoint'); return false;
                        </xsl:attribute>
                    </img>
                </xsl:when>
                <xsl:otherwise>
                    <img class="proxy-select" src="extensions/core/images/dropdown.gif"
                         id="img_endpoint">
                        <xsl:attribute name="onclick">javascript: displaytargetmenu(event,
                            'endpoint'); return false;
                        </xsl:attribute>
                    </img>
                </xsl:otherwise>
            </xsl:choose>
            <label class="proxytarget" id="endpoint_label" style="margin-left:280px;padding-top:-10px;">
                <xsl:value-of select="syn:target/@endpoint"/>
            </label>
            <xsl:if test="syn:target/syn:endpoint">
                <label class="proxytarget" id="endpoint_label" style="margin-left:230px;_margin-left:150px;padding-top:-10px;">Anonymous Endpoint
                    <img src="extensions/core/images/_edit.gif" onclick="javascript: endpointaddeditwrapper(); return false;">
                        <!--todo-->
                        <!--<xsl:choose>-->
                            <!--<xsl:when test="syn:target/syn:endpoint/syn:address">-->
                                <!--<xsl:attribute name="onclick">javascript: onMenuItemClickToShowInNewPanel("", "", "Address"); return false;</xsl:attribute>-->
                            <!--</xsl:when>-->
                            <!--<xsl:when test="syn:target/syn:endpoint/syn:wsdl">-->
                                <!--<xsl:attribute name="onclick">javascript: onMenuItemClickToShowInNewPanel("", "", "WSDL"); return false;</xsl:attribute>-->
                            <!--</xsl:when>-->
                            <!--<xsl:when test="syn:target/syn:endpoint/syn:failover">-->
                                <!--<xsl:attribute name="onclick">javascript: onMenuItemClickToShowInNewPanel("", "", "FailOver"); return false;</xsl:attribute>-->
                            <!--</xsl:when>-->
                            <!--<xsl:when test="syn:target/syn:endpoint/syn:loadBalance">-->
                                <!--<xsl:attribute name="onclick">javascript: onMenuItemClickToShowInNewPanel("", "", "LoadBalance"); return false;</xsl:attribute>-->
                            <!--</xsl:when>-->
                        <!--</xsl:choose>-->
                    </img>
                </label>
            </xsl:if>
        </div>
        <input type="hidden" id="endpoint">
            <xsl:attribute name="value">
                <xsl:value-of select="syn:target/@endpoint"/>
            </xsl:attribute>
        </input>
        <input type="hidden" id="endpoint_elem" value=""/>
        <br/>

    </xsl:template>

</xsl:stylesheet>