<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="ns1:getConfigurationResponse" xmlns:ns1="http://org.apache.synapse/xsd">
        <h2> Manage Configuration 
            <img src="extensions/core/images/help.gif" alt=""
                     onmouseover="showHelp(event,'configHelpDiv')"
                     onmouseout="hideHelp(event,'configHelpDiv')"/>
            </h2><div id="configHelpDiv" class="helptip" style="visibility:hidden"></div>
        <form>
            <div id="saveConfiguration">
                <span style="margin-top:10px;margin-bottom:10px; display:block;_margin-top:0px;">'Update' the configuration if any changes have been made manually. Then 'Save' to commit the current operational configuration to disk.</span>
                <input name="saveConfig" type="button" class="panelbutton_default"
                       value="Save"
                       onclick="javascript:saveConfigurationToDisk();return false;" style="margin-right:10px;" />
                <input name="resetConfig" type="reset" class="panelbutton_cancel"
                       value="Reset"
                       onclick="javascript:showSaveConfig();return false;"/>
            </div>
            <br/>
            <div id="updateConfiguration">
                <!--<span style="margin-bottom:10px;display:block; margin-top:5px;">Apply manual changes as the operational configuration</span>-->
                <input name="updateConfig" type="button"
                       class="panelbutton_default"
                       value="Update"
                       onclick="javascript:updateConfiguration();return false;" title="Apply manual changes"/>
            </div>
            <br/>
            <div id="ConfigTextArea">
                <label style='text-align: left'>
                    <div style="background-color:#A3B2CC;padding-top:3px; padding-left:10px; padding-bottom:3px"><strong style='color: #ffffff'>Current Configuration</strong></div>
                </label>
                <textarea id="rawConfig" style="border:none;width: 745px;height: 270px; margin-top:5px; margin-left:10px;"/>
            </div>
        </form>
    </xsl:template>

    <xsl:template match="ns1:saveConfigurationToDiskResponse"
                  xmlns:ns1="http://org.apache.synapse/xsd">

        <xsl:if test="return/text() = 'true'">
            <h2>Save Changes to Disk</h2>
            <div id="formset">
                <div>Changes have been saved to disk
                    <br/>
                    <br/>
                </div>
                <input disabled="true" name="saveConfig" type="button" class="styledButton"
                       value="Save"
                       onclick="javascript:saveConfigurationToDisk();return false;"/>
            </div>
        </xsl:if>

        <xsl:if test="return/text() != 'true'">
            <h2>Save Changes to Disk</h2>
            <div id="formset">
                <div>Error: Changes could not be saved to disk
                    <br/>
                    <br/>
                </div>
                <input disabled="true" name="saveConfig" type="button" class="styledButton"
                       value="Save"
                       onclick="javascript:saveConfigurationToDisk();return false;"/>
            </div>
        </xsl:if>

    </xsl:template>
</xsl:stylesheet>
